Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > Linux Forums > Programming/Scripts

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 8th May 2006, 14:02
tom tom is offline
Senior Member
 
Join Date: Apr 2006
Posts: 492
Thanks: 8
Thanked 8 Times in 7 Posts
Default eaccelerator installation - can't find php5-config

I would like install eaccelerator beta2 with php5.

On the eaccelerator page http://eaccelerator.net/wiki/InstallFromSource they tell to change that path PHP_PREFIX but I can't find the file php5-config. Only php-config and php4-config I can find on debian3.1 with php5.1.4.

Any ideas how to set the right path for compiling?

Code:
export PHP_PREFIX="/usr"
$PHP_PREFIX/bin/phpize
./configure --enable-eaccelerator=shared --with-php-config=$PHP_PREFIX/bin/php-config
make
tom
Reply With Quote
Sponsored Links
  #2  
Old 9th May 2006, 00:08
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,744 Times in 2,577 Posts
Default

Maybe php-config belongs to your PHP5 installation?
How did you install PHP5? As a package, or did you compile from the sources?
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #3  
Old 9th May 2006, 17:40
tom tom is offline
Senior Member
 
Join Date: Apr 2006
Posts: 492
Thanks: 8
Thanked 8 Times in 7 Posts
Default

Quote:
Originally Posted by falko
Maybe php-config belongs to your PHP5 installation?
How did you install PHP5? As a package, or did you compile from the sources?
As a package
Code:
WARNUNG: Die folgenden Pakete können nicht authentifiziert werden!
  php5
Diese Pakete ohne Überprüfung installieren [j/N]? j
Wähle vormals abgewähltes Paket php5.
(Lese Datenbank ... 22663 Dateien und Verzeichnisse sind derzeit installiert.)
Entpacke php5 (aus .../php5_5.1.4-1.dotdeb.1_all.deb) ...
Richte php5 ein (5.1.4-1.dotdeb.1) ...

sarge01:/usr/lib/php5# updatedb
sarge01:/usr/lib/php5# locate php-config
/root/ispconfig/php/bin/php-config
/root/ispconfig/php/man/man1/php-config.1
sarge01:/usr/lib/php5# locate php4-config
sarge01:/usr/lib/php5#
I'm even a bit unhappy with php5 package and the disauthenticity.
Now I've removed php4 and php5 and reinstalled php5 again but now there is no php-config anymore only for ispconfig. Is'nt it?

Last edited by tom; 9th May 2006 at 17:58.
Reply With Quote
  #4  
Old 9th May 2006, 23:09
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,744 Times in 2,577 Posts
Default

What's the output of
Code:
updatedb
locate php|grep config
?
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #5  
Old 10th May 2006, 18:23
tom tom is offline
Senior Member
 
Join Date: Apr 2006
Posts: 492
Thanks: 8
Thanked 8 Times in 7 Posts
Default

Quote:
Originally Posted by falko
What's the output of
Code:
updatedb
locate php|grep config
?

everything in
Code:
/home/admispconfig/
/root/ispconfig/
but nothing what I'm searching for.

Last edited by tom; 10th May 2006 at 18:25.
Reply With Quote
  #6  
Old 11th May 2006, 00:14
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,744 Times in 2,577 Posts
Default

As you installed PHP5 as a package, you must also install php5-devel (or similar). php-config should be in there.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #7  
Old 11th May 2006, 19:12
tom tom is offline
Senior Member
 
Join Date: Apr 2006
Posts: 492
Thanks: 8
Thanked 8 Times in 7 Posts
Default

Quote:
Originally Posted by falko
As you installed PHP5 as a package, you must also install php5-devel (or similar). php-config should be in there.

which on is it?
I think "php5-dev - Files for PHP5 module development"
that includes /usr/bin/php-config5

What for I need php5-dev or similar?
Only for the installation eaccelerator?
Quote:
sarge01:~# apt-cache search php5
php-image-canvas - Image_Canvas module for PEAR
php-image-graph - Image_Graph module for PEAR
php-pear - PEAR - PHP Extension and Application Repository
php5-clamavlib - PHP ClamAV Lib - ClamAV Interface for PHP5 Scripts
php5-recode - recode module for php5
php5-sqlite - SQLite module for php5
php5-xmlrpc - XML-RPC module for php5
php5-xsl - XSL module for php5
libapache-mod-php5 - PHP 5 scripting language - apache 1.3 module
libapache2-mod-php5 - PHP 5 scripting language - apache 2.0 module
php5 - server-side, HTML-embedded scripting language (meta-package)
php5-cgi - PHP 5 scripting language
php5-cli - PHP 5 scripting language
php5-common - Common files for packages built from the php5 source
php5-curl - CURL module for php5
php5-dev - Files for PHP5 module development
php5-gd - GD module for php5
php5-gmp - GMP module for php5
php5-imap - IMAP module for php5
php5-ldap - LDAP module for php5
php5-mcrypt - MCRYPT module for php5
php5-mhash - MHASH module for php5
php5-ming - Ming module for php5
php5-mysql - MySQL module for php5
php5-mysqli - MySQLi module for php5
php5-odbc - ODBC module for php5
php5-pdo-mysql - PDO-MySQL module for php5
php5-pdo-pgsql - PDO-PostgreSQL module for php5
php5-pdo-sqlite - PDO-SQLite module for php5
php5-pear - PEAR - PHP Extension and Application Repository
php5-pgsql - PostgreSQL module for php5
php5-pspell - Pspell module for php5
php5-snmp - SNMP module for php5
php5-sybase - Sybase module for php5
php5-tidy - Tidy module for php5
php5-apc - apc module for php5
sarge01:~#

Last edited by tom; 11th May 2006 at 19:25.
Reply With Quote
  #8  
Old 12th May 2006, 11:25
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,744 Times in 2,577 Posts
Default

Quote:
Originally Posted by tom
which on is it?
I think "php5-dev - Files for PHP5 module development"
that includes /usr/bin/php-config5
Yes, it's php5-dev.

Quote:
Originally Posted by tom
What for I need php5-dev or similar?
Only for the installation eaccelerator?
Whenever you compile something that needs PHP, you need PHP5-dev.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #9  
Old 15th May 2006, 10:27
tom tom is offline
Senior Member
 
Join Date: Apr 2006
Posts: 492
Thanks: 8
Thanked 8 Times in 7 Posts
Default

Quote:
Originally Posted by falko
Yes, it's php5-dev.

Whenever you compile something that needs PHP, you need PHP5-dev.
Now I've installed fastcgi and eaccelerator but I get an error 500 after I've installed eaccelerator.

Do they work clean together?
Reply With Quote
  #10  
Old 15th May 2006, 15:36
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,744 Times in 2,577 Posts
 
Default

I'm not quite sure if eaccelerator supports PHP5.
Is there anything in your Apache error log?
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Cannot retrieve or find libsas12 package n0fx Server Operation 2 6th April 2006 20:59
Problem with the apache (I can't start ist) M.Behrens Installation/Configuration 11 31st March 2006 10:48
view webalizer stats kuyaedz General 22 12th March 2006 14:45
suse 9.3 install: E: Couldn't find package ncftp aallen Installation/Configuration 4 26th January 2006 20:02
Config file templates till Developers' Forum 0 30th July 2005 23:10


All times are GMT +2. The time now is 22:09.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.